#include "qcalcEvaluator.h"


void QEvaluatorAbs::evaluate(QVector<VInSlot*>& in, QVector<VOutSlot*>& out, bool& ok, QString& message)
{
	ok=true;
	DvObject_var result;
	string attrPtr;
	
	QEvaluator::evaluate(in, out, ok, message);
	if(!ok)
		return;
	
	DvObject_var val1 = in[0]->connectedSlot()->getValue(ok);
	if(!ok)
	{
		message=QString("Input ")+in[0]->getName()+QString(" invalid");
		ok=false;
		return;
	}
	
	
	// do arithmetic...
	result = val1->abs();
	if (result.is_nil())
	{
		message=QString("The Operation absolute value is not yet supported for this input type" );
		ok=false;
		return;
	}
	out[0]->setValue(result, true);
}

