/***********************************************************************
*           See Accompanying licence file QSAS_licence                 *
***********************************************************************/

#ifndef _QIE_VOTABLE_H_
#define _QIE_VOTABLE_H_

#include <list> //temp
#include <vector>
#include <iostream>
#include <iomanip>
#include <fstream>
#include "qt_version.h"
#ifdef HAVE_SSTREAM_H
#include <sstream>
#else
#include <strstream>
#endif

#include <QtXml/QXmlDefaultHandler>
#include <QtXml/QXmlSimpleReader>
#include <QFile>
#include "DvObj.h"


DvObject * QiLoadVOTable(QString& fileName);
bool QiSaveVOTable(DvObject_var& table, QString& fileName);

#endif
